function aplly_onoff(f1)
{
   o1=document.goForm[f1];
   // Normal
   f2=f1.substr(3);
   o2=document.all[f2];
   showHide(o2,o1.checked);
   // Extended
   f3=f2+'x';
   if ((o3=document.all[f3])!=null)
      showHide(o3,o1.checked);
}
function field_onoff()
{
   aplly_onoff(window.event.srcElement.name);
}
function force_onoff(f1)
{
   o1=document.goForm[f1];
   o1.checked=!o1.checked;
   aplly_onoff(f1);
}
function copycolor()
{
   var o1=document.all.popdlg;
   o1.style.left=event.clientX;
   o1.style.top=event.clientY;
   showHide(o1,1);
   o1.focus();
}
function onItemFound(oItem)
{
   var f1=document.goForm;

   if (document.all.apct0.checked) {
      f1.COLOR.value=oItem.COLOR;
      f1.COLOR.style.backgroundColor=oItem.COLOR;
   }
   else if (document.all.apct1.checked) {
      f1.BGCOLOR.value=oItem.BGCOLOR;
      f1.BGCOLOR.style.backgroundColor=oItem.BGCOLOR;
   }
   else if (document.all.apct2.checked) {
      f1.COLOR.value=oItem.COLOR;
      f1.COLOR.style.backgroundColor=oItem.COLOR;
      f1.BGCOLOR.value=oItem.BGCOLOR;
      f1.BGCOLOR.style.backgroundColor=oItem.BGCOLOR;
   }
}
function doCopyColor()
{
   var o1=document.all.popdlg;
   showHide(o1,0);
   findItemEx(null);
}
function cb_on(j)
{
   var k='apct'+j;
   document.all[k].checked=true;
   doCopyColor();
}
